3.168
Überflüssige Buganfällige Räume entfernt
Multiplayer wieder zum laufen gebracht
Überprüfung auf Lösbarkeit verbessert

3.167
Update auf Delphi XE4


2.166
Bugfix:Farbe von BlackBoom
Bugfix:Speed-Felder

2.165
Bugfix:Panel-Anzeige

2.164
Bugfix: fehlendes Leerzeichen

2.163
Bugfix:Absprungeschwindigkeit
Kein endloser Fall mehr möglich

2.162
Festes Sichtfeld

2.161
Bugfix:Boom-Schrift
Performance
Graphiken intern skaliert

2.160
Bugfix beim Raum erstellen
Bugfix:Am Regenbogen aus der Map fallen

2.159
viel mehr Panelconfig

2.158
kein Crash bei fehlender Datei

2.157
Random Speed gebufft und seltener

2.156
Bugfix mit MP-only Räumen
Menüauswahl verbessert

2.155
Ini-Dateien verbessert (TMyIni)

2.154
Speedanzeige besser sichtbar

2.153
eine Räume nicht nebeneinander
mehr RainbowTrap (4,5%)
weniger sichtbare Regenbögen (1%,2%,2%)
MP-Räume im SP unsichtbar


2.152
Pusher stark gebufft: Kontrollierte Bewegung (WASD) darauf nicht mehr möglich

2.151
Fallenmeldungen nach Sieg nicht anzeigen
Bugfix:kurze Distanz zum Ziel führt zu endlosen Ladezeiten
Bugfix: Bestimmung, ob man sich außerhalb des Labyrinths befindet 

2.150
Bugfix:crash bei extrem hoher Geschwindigkeit
Lightning häufiger
Bugfix: Lightning nicht auf sich selbst (Host)

2.149
Minimum GoalProtectionRadius auf 2 erhöht
Kein Auslösen von Räumen außerhalb der Map mehr (auch nicht nach Sieg)

2.148
Bugfix:Settings-Menü
Bigfix:Difficulty-Menü
Erkennung wenn das Spiel zu lange lädt

2.147
Bugfix:Kontamination von Server ausgelöst

2.146
Performance
nicht mehr durch grüne Wände schauen ohne durchzugehen

2.145
Dialoge überarbeitet

2.144
Bugfix:Zu viel grün

2.143
Bugfix:Texte

2.142
Einige Panels in INI ausgelagert

2.141
Bugfix:Abprallen von halber Wand

2.140
Ziel weiter weg

2.139
Kontaminations-Wahrscheinlichkeiten geändert

2.138
Performance

2.137
Bonbon-Raum

2.136
Performance-Verbesserung

2.135
Leicht verbesserte Performance

2.134
Bugfix:Spawnradius

2.133
Zielraumtyp umgestaltet

2.132
Bugfix: Speedverlust nach Sieg
Bugfix: Speedanzeige nach Sieg

2.131
Mauerwahrscheinlichkeiten in Ini

2.130
Rotes Speed gebufft und seltener
Multiplayer-Einstellungen in Ini
keine Client-Open-Meldung mehr

2.129
Menüfunktion Viewing distance entfernt
Blaue Speedfelder gebufft (2)
Bugfix: Blitz

2.128
BugFix: ThrustBar bei Fullscreen in der Mitte
ThrustBar nach Respawn auf Max

2.127
Kontamination breitet sich zu 50% aus
Kontamination verschwindet beim betreten zu 25% (Radius: sqrt(2)Räume)
Bugfix: Kontamination Multiplayer

2.126
Maus außerhalb von Menüs ignorieren
Drehung im Menü beschleunigt
Maximale FPS:60

2.125
Bugfix: Freeze nach Multiplayersieg
Neuer Raum: Öffnung
Tinte gebufft (verschwindet nur zu 20%)

2.124
Thrustbalken

2.123
Bugfix:Regenbogenfalle
Bugfix:Respawn von der Decke aus
Bugfix:Textur: Tinte an der Decke

2.122
Balancing:Raumhäufigkeit
Neuer Raum: Zufallsgeschwindigkeit (+-0 bis +-10)

2.121
Bugfix: Schwarze Kreise nach Sieg
Neuer Raum: Pfeilspawner
Special Thanks-Datei

2.120
Schellerer Restart (n)

2.119
OP-Raum mit tanzenden Gegnern, die Muh sagen

2.118
Balancing:Raumhäufigkeit
Bugfix:Zieldrehung

2.117
Bugfix:Tinte
Versionsanzeige

2.116
Blitz gebufft (Speed*Abstand/(MaxAbstand*2))
Blitz nicht auf Leichen
Explosion gebufft (4 Räume)
Spawnradius erhöht (3 Räume)

2.115
Tintenraum (Oben)
Tintenraum (Oben und Unten)
Bugfix:YSNP

2.114
Absprunggeschwindigkeit: 0,6*Speed
Abstand Auge - Höchster Kopfpunkt = 0,3
Tintenraum (Unten)

2.113
Entfernung: "P" statt "D"
Schriftgrößen skalieren mit Fenstergröße

2.112 
Sprung wird im Menü fortgesetzt
kein Megasprung am Pusher mehr möglich

2.111
Bugfix:Mausklick im Menü löst nur noch über Schrift aus

2.110
Absprunggeschwindigkeit: 0,55*Speed
Bugfix:Regenbögen

2.109
Bugfix:Menü
Startspeed flexibel (Menü und Ini)

2.108
Bugfix:Regenbögen
Bugfix-Versuch:Graue Sicht

2.107
Ini: Mehr Möglichkeiten

2.106
von Wänden abprallen beim Springen

2.105
Codeästhetik:Umgestaltung der Speed-Veränderung

2.104
Neuer Raum: Pusher an der Decke

2.103
Bugfix:Pfeilrichtung,Pusherrichtung
Codeästhetik

2.102
Sprunggeschwindigkeit: 2xSpeed
Gravitation:9,81m/sqr(s)
kein Richtungändern im Sprung
schräg gehen: nicht mehr schneller als geradeaus

2.101
Random Speed von Kontamination
Kontamination unwahrscheinlicher

2.100
Bugfix: Gewinnen beim join
Bugfix: Position senden

2.99
Kontamination funktioniert weitestgehend

2.98
Kontamination eingebaut (funktioniert noch nicht)
Mapgröße auf 500 gesenkt (1001x1001 Räume)
Boden auf -2m Höhe, Decke auf 4m


2.97
Mehr Tod senden
UIni
Ebenen verallgemeinert

2.96
Hinweis beim Mapladen entfernt
Tod senden
nicht bei Toten explodieren

2.95
Boom nur 1,5 sec
Mauerbugs behoben
keine dreifach halben Mauern

2.94
respawn mit R statt L
Hinweisfelder halten Spiel nicht an

2.93
immer min 1 Weg zum Ziel

2.92
Ganze Mauern seltener (0.35)
Bugfix: Regenbögen  verschwinden
Leichenerkennung teilweise eingebaut
Bugfix: Pfeile in falsche Richtung

2.91
Bugfix:Regenbögen an der Decke verschwinden

2.90
Sprung senden verbessert
Bugfix: Warping Walls

2.89
Pfeil am Spawnpunkt

2.88
Explosionen geschwächt auf Radius 2
Raumwahrscheinlichkeiten aus ini datei
Raumwahrscheinlichkeiten geändert

2.87
neue Farben
bessere Labyrinthgesaltung

2.86
Bugfix:Andere Spieler sehen

2.85
Sichtweite erhöht
Nur Spieler in (Raum-)Sichtweite sichtbar

2.84
Multiplayer Host und Join Verbesserung
Bugfix: Springen: Endlosschleife

2.83
Blitz nur noch auf Gegner
Dateiinformationen hinzugefügt

2.82
Bessere Anzeige der distanz
kein respawn nach spielende
Bugfix: Siedg senden
Explodieren leert den raum nicht

2.81
Bugfix: BOOM senden
Bugfix: Speed "changed" nur noch anzeigen, wenn tatsächlich verändert
Blitz: "decreased" statt "changed"
Blitz: Schriftfarbe gelb

2.80
Bugfix: Redspeed verschwindet jetzt beim betreten


2.79
Blitz-Felder

2.78
Bugfix: BOOM-Ewig

2.77
FPS-Anzeige verbessert
Permajump-Verhinderung-verbessert
Pusher schieben in den nächsten Raum

2.76
Schwarze BOOM Räume

2.75
BugFix:Pusherrichtung wählen
BugFix:Pusherrichtung senden


2.74
Pusher
Objekte umsortiert

2.73
GoalProtectionRadius flexibel
Bugfix: Restart required

2.72
Randomaze 2: Versionsnummer wegen MP erhöht






1.71
Bugfix: Gewinnen senden
Bugfix: kein 3. Spieler erscheint
Restart unabhängig von Programmname

1.70
Respawn nach Verlieren möglich

1.69
Bugfix:BOOM senden

1.68
Am Rand der Map an den anderen Rand porten

1.67
Kein Geschwindigkeitsverlust am Spawnpunkt
Zieldistanz erhöht

1.66
Keine Seltenen Sachen am Spawnpunkt

1.65
Respawn-Funktion

1.64
kein springen nach verlieren

1.63
Bugfix: Explodieren senden
Bugfix: Warping Walls im Multiplayer senden
Beim Joinen: Am
Boden laufen

1.62
Startgeschwindigkeit
Bugfix: Speed=0
MP-Joinen: Speed:=15
BOOM und Warping Walls im Multiplayer senden

1.61
Menü über Tastatur bedienen

1.60
Bugfix:Startgeschwindigkeit
Bugfix:Raumübertragung

1.59
Keine Regenbogendrehung mehr
Bugfix:Regenbogensichtbarkeit
Zielposition senden

1.58
BugFix:Multiplayer

1.57
Bugfix:Gemeinsamer MP-Sieg

1.56
Netzwerk-Performance
BugFix:Pfeildrehung
Gemeinsamer MP-Sieg (noch fehlerhaft)

1.55
kein permajump

1.54
nur Sprungstart senden
Bugfix:Position senden

1.53
Beim MP-Joinen Startposition einnehmen

1.52
Bugfix:Position initialisieren

1.51
mehr als 2 Spieler möglich
verschiedene Spielerfarben (halbzufällig)

1.50
Balancing:
Überwandsprung: Speed -1
Anfangsspeed: 15

Blick senkrecht nach unten möglich
keine Unendlich-Geschwindigkeit am Ziel

1.49
TInhalt.Sorte:Integer;
kleiner Raumsortenverteilungs-Bugfix
Code-Optimierung:Raumsortenverteilung


1.48
MP-Spielerbewegung sanfter

1.47 
Netzwerk-Performance

1.46
Andere Spieler sichtbar (aber immer im selben Raum)

1.45
Raumübertragung beim wandern des Clients

1.44
Mapübertragung beim joinen

1.43
Testnachricht sendbar

1.42
erste Netzwerk-Verbindung herstellbar

1.41
Multiplayer-Menü erweitert

1.40
Multiplayer-Menü erweitert

1.39
Raumtypen in ini (unfinished)
weniger halbe Wände (noch 20%)

1.38
springen über Wände kostet mehr Speed

1.37
GoalDist Variabel

1.36
INI-Speichern

1.35
Videoeinstellungen

1.34:
Bugfix: Menü

1.33
Bugfix: Sprung
Bugfix: Rand der Map

1.32
Icon ausgelagert

1.31
Texturen ausgelagert

1.30
Bugfix: Rand der Map

1.29
Bugfix:Sieg

1.28
Bugfix:Warping Walls
Bugfix:Grüne Mauern
kein Rollen während im Menü
Neustarten ins Menü

1.27
Regenbögen drehen nicht mehr
Materialien und Shader ausgelagert in andere Unit
Bugfix:Walltrap
Restart schneller

1.26
Bugfix:Sprung
Bugfix:Körperhöhe

1.25
Sprunghöhe reduziert
Spielergröße eingeführt:2m, Kopfhöhe 1,5m

1.24
Halbe Mauern blocken
Performance-Verbesserungen
Kameradrehung im Pause-Menü

1.23
Halbe Mauern eingebaut

1.22
gegen Decke springen möglich
Sprunghöhe proportional zu Speed

1.21
sichtbare Regenbögen drehen nicht mehr
einseitige Regenbögen eingebaut

1.20
Hauptmenü verbessert
Pause := Menü
Regenbogenfalle dreht nicht mehr
Ziel zwischen 17 und 19 Räumen vom Spawn entfernt (vorher 16 -18)

1.19
Hauptmenü
Speedanzeige nur noch Schrift

1.18
Sichtbare Regenbogenfelder drehen nicht mehr nach Gewinnen

1.17
Regenbogenfalle
Balancing

1.16
Regenbogen seltener und einmalig

1.15
Vollbild-Fehler behoben
Debug-Verbesserungen
Fenstergröße veränderbar (Mausklick-ziehen)

1.14
kein Rotes Speed um Ziel/Spawn herum
Wände von Decke bis Boden
Regenbogenfelder
Vollbild eingebaut ('m'), aber noch fehlerhaft

1.13
Rote Speedfelder: Speed -5
Mapgrenze bei +-1000
beenden auch während Sprung möglich

1.12
Über Wände springen bei Sieg

1.11
Blaue Speedfelder:Speed +1.5
BOOM-Felder: Radius 3
keine Mauern um Ziel (3 Felder) und Start(2 Felder)